Subject: Re: rtc again...

From: Ethan Benson <[email-masked]>
Date: Sat, 12 Aug 2000 04:02:51 -0800

On Sat, Aug 12, 2000 at 04:29:12PM +1000, Paul Mackerras wrote:
> 
> The get/set rtc stuff on powermac still needs work.  IMHO the way it
> should work on powermacs is this:
> 
> - at boot, read the RTC and the xpram and apply the correction from
>   the xpram
> 
> - /dev/rtc reads and writes the RTC value directly (no timezone
>   correction)
> 
> - if the RTC is updated from other places in the kernel, read the
>   timezone recorded in xpram and apply that correction before writing
>   it to the RTC.

would this still allow for rtc in UTC?  for those of us who do not use MacOS..

-- 
Ethan Benson
http://www.alaska.net/~erbenson/